Patch State
Updates the [State](#schema_state) object by setting the values of the parameters passed.
Path Parameters
Represents the resource type that the state is related to
Value in
- "conversation"
- "user"
- "bot"
- "integration"
- "workflow"
Id of the State which will be either the botId, the userId or the conversationId
Name of the State which is declared inside the bot definition
Header Parameters
Bot id
Integration id
Integration alias
Request Body
application/json
State content
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/chat/states/conversation/string/string" \ -H "x-bot-id: string" \ -H "Content-Type: application/json" \ -d '{ "payload": {} }'{ "state": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "botId": "stringstringstringstringstri", "conversationId": "stringstringstringstringstri", "userId": "stringstringstringstringstri", "name": "string", "type": "conversation", "payload": {}, "expiry": 1, "expiresAt": "2019-08-24T14:15:22Z" }}{ "state": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "botId": "stringstringstringstringstri", "conversationId": "stringstringstringstringstri", "userId": "stringstringstringstringstri", "name": "string", "type": "conversation", "payload": {}, "expiry": 1, "expiresAt": "2019-08-24T14:15:22Z" }}List Users GET
Retrieves a list of [User](#schema_user) previously created. The users are returned in sorted order, with the most recent appearing first. The list can be filtered using [Tags](/docs/data/tags).
Remove Participant DELETE
Remove a [Participant](#schema_participant) from a [Conversation](#schema_conversation).